/*
    ---------------------------------------------------------------------- copyright and license ---

    file: src/ui.hpp

    Copyright © 2014, 2016 Van de Bugger.

    This file is a part of Tapper.

    Tapper is free software: you can redistribute it and/or modify it under the terms of the GNU
    General Public License as published by the Free Software Foundation, either version 3 of the
    License, or (at your option) any later version.

    Tapper is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without
    even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
    General Public License for more details.

    You should have received a copy of the GNU General Public License along with Tapper.  If not,
    see <http://www.gnu.org/licenses/>.

    ---------------------------------------------------------------------- copyright and license ---
*/


#ifndef _UI_HPP_
#define _UI_HPP_


#include "config.h"
#include "string.hpp"


enum severity_level_t {
    sl_error,
    sl_warning,
    sl_info,
    sl_debug
}; // enum severity_level_t


void msg( severity_level_t level, string_t const & message );


#endif // _UI_HPP_

// end of file //
